Bug 462237 - Edit form not complete
Summary: Edit form not complete
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Applications
Component: general (show other bugs)
Version: 3.4.5
Platform: openSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-11-25 13:19 UTC by Fabiano Caruana
Modified: 2023-01-22 10:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 3.4.6


Attachments
attachment one (63.13 KB, image/png)
2022-11-25 13:19 UTC, Fabiano Caruana
Details
attachment two (41.11 KB, image/png)
2022-11-25 13:20 UTC, Fabiano Caruana
Details
Screen record (2.11 MB, video/mp4)
2023-01-18 13:55 UTC, Fabiano Caruana
Details
New Screen Record (3.81 MB, video/mp4)
2023-01-22 10:24 UTC, Fabiano Caruana
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabiano Caruana 2022-11-25 13:19:39 UTC
Created attachment 154020 [details]
attachment one

Hi Robby,

if I have edited a data record in Tellico and then want to create a new entry, the form is not completely filled out (attachment one). If I close the form and want to create a new entry again, the form appears correctly (attachment two).
This only happens if I have already made changes in the database. If I start a database and immediately want to create a new entry, then the form is also correct.

Greetings
Udo

SOFTWARE/OS VERSIONS
Linux/KDE Plasma:  
(available in About System)
KDE Plasma Version: 5.24.4
KDE Frameworks Version:  5.90.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
Comment 1 Fabiano Caruana 2022-11-25 13:20:18 UTC
Created attachment 154021 [details]
attachment two
Comment 2 Robby Stephenson 2023-01-15 19:24:35 UTC
(In reply to Fabiano Caruana from comment #0)
> if I have edited a data record in Tellico and then want to create a new
> entry, the form is not completely filled out (attachment one). If I close
> the form and want to create a new entry again, the form appears correctly
> (attachment two).
> This only happens if I have already made changes in the database. If I start
> a database and immediately want to create a new entry, then the form is also
> correct.

So you've made changes to the database, saved them, then create a new record and that's when the issue appears? It's a weird one, like the dialog was resized weirdly. If you do drag the corner to make it larger, does it correct itself? Does this happen only on this particular Tellico file?
Comment 3 Fabiano Caruana 2023-01-18 13:55:12 UTC
Created attachment 155404 [details]
Screen record

Hi Robby,

I took a closer look at it again.
It seems to be related to the "Close" button (bottom right).
1. After closing an entry with the "Close" button and then creating a new entry, the error appears.
2. But if I close the entry with the "cross" at the top right and then create a new entry, then the error does not exist.
3. When I drag the broken form with the mouse, it becomes correct.
(see screen record)
This ist on all my Tellico files.

Greetings from Riegelsberg
Udo
Comment 4 Fabiano Caruana 2023-01-20 13:39:54 UTC
Hi Robby,

I just tested with version 3.4.90+git.
There is also this bug.

Greetings from Riegelsberg
Udo
Comment 5 Robby Stephenson 2023-01-21 17:40:38 UTC
Fixed in https://invent.kde.org/office/tellico/-/commit/7092b0d824bb0d0968ae1f2a8e9c7e147cc424ca. Not sure why the commit message didn't close this bug.
Comment 6 Robby Stephenson 2023-01-21 17:41:19 UTC
Git commit e036987e353d4a52fcfbc8e39941c5f764889dd8 by Robby Stephenson.
Committed on 21/01/2023 at 17:38.
Pushed by rstephenson into branch '3.4'.

Fix resizing of entry edit dialog when reshowing

Apparently triggering a timer to restore the dialog size now needs a
non-zero time before execution
FIXED-IN: 3.4.6

M  +4    -0    ChangeLog
M  +2    -1    src/entryeditdialog.cpp

https://invent.kde.org/office/tellico/commit/e036987e353d4a52fcfbc8e39941c5f764889dd8
Comment 7 Robby Stephenson 2023-01-21 17:41:20 UTC
Git commit 7092b0d824bb0d0968ae1f2a8e9c7e147cc424ca by Robby Stephenson.
Committed on 21/01/2023 at 17:38.
Pushed by rstephenson into branch 'master'.

Fix resizing of entry edit dialog when reshowing

Apparently triggering a timer to restore the dialog size now needs a
non-zero time before execution
FIXED-IN: 3.4.6

M  +4    -0    ChangeLog
M  +2    -1    src/entryeditdialog.cpp

https://invent.kde.org/office/tellico/commit/7092b0d824bb0d0968ae1f2a8e9c7e147cc424ca
Comment 8 Fabiano Caruana 2023-01-22 10:24:29 UTC
Created attachment 155496 [details]
New Screen Record

Hi Robby,

Sorry ... the bug is still there, not always, but about 50% of the time.
In both versions 3.4.6 and 3.4.90+git (both self-compiled).
(see new video)

Greetings
Udo